#!/bin/sh

. ./sync.conf || . ../sync.conf

DRY_RUN=${DRY_RUN:-no}

bool() {
    case "$1" in
        1|true|yes|on|TRUE|YES|ON) return 0 ;;
        *) return 1 ;;
    esac
}

run() {
  if bool "$DRY_RUN"; then
    echo "DRY: + $*"
  else
    echo "+ $*"
    "$@"
  fi
}

is_graphical() {
  command -v $PREF_TERM && return 0 || return 1
}